%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw32-libp11
Version:        0.2.8
Release:        1%{?dist}
Summary:        MingGW Windows libp11 library

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.opensc-project.org/libp11
Source0:        http://www.opensc-project.org/files/libp11/libp11-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 53
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-libltdl
BuildRequires:  mingw32-openssl
BuildRequires:  pkgconfig

Requires:       pkgconfig


%description
Libp11 is a library implementing a small layer on top of PKCS#11 API to
make using PKCS#11 implementations easier.

This is the MinGW cross-compiled Windows library.


%{?_mingw32_debug_package}


%prep
%setup -q -n libp11-%{version}


%build
%{_mingw32_configure} --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# Remove documentation from a wrong place.
# We install it with %%doc instead.
rm -rf $RPM_BUILD_ROOT%{_mingw32_docdir}/libp11


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_mingw32_bindir}/libp11-2.dll
%{_mingw32_libdir}/libp11-2.dll.def
%{_mingw32_libdir}/libp11.dll.a
%{_mingw32_libdir}/libp11.la
%{_mingw32_libdir}/pkgconfig/*
%{_mingw32_includedir}/*


%changelog
* Fri Apr 15 2011 Kalev Lember <kalev@smartlink.ee> - 0.2.8-1
- Update to 0.2.8

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 02 2010 Kalev Lember <kalev@smartlink.ee> - 0.2.7-2
- Rebuilt with new mingw32-libltdl

* Wed Nov 25 2009 Kalev Lember <kalev@smartlink.ee> - 0.2.7-1
- Update to 0.2.7

* Sat Sep 19 2009 Kalev Lember <kalev@smartlink.ee> - 0.2.6-4
- Rebuilt to fix debuginfo

* Sun Aug 30 2009 Kalev Lember <kalev@smartlink.ee> - 0.2.6-3
- Rebuilt with new mingw32-openssl

* Sun Aug 23 2009 Kalev Lember <kalev@smartlink.ee> - 0.2.6-2
- Automatically generate debuginfo subpackage

* Sat Aug 22 2009 Kalev Lember <kalev@smartlink.ee> - 0.2.6-1
- Update to 0.2.6
- Use INSTALL="install -p" to preserve timestamps

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar 25 2009 Kalev Lember <kalev@smartlink.ee> - 0.2.4-1
- Initial RPM release.
